ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

List vouchers for an invoice

Try in API Explorer

Retrieves vouchers for an invoice in reverse chronological order.

Sample Request

URL Format

GET https://[site].chargebee.com/api/v2/invoices/{invoice-id}/payment_vouchers

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

sort_by[<sort-order>]
optional, object

optional, string filter

Sorts based on the specified attribute. Supported attributes : date, updated_at

Supported sort-orders : asc, desc

Example → sort_by[asc] = "date"

This will sort the result based on the 'date' attribute in ascending(earliest first) order.

Filter Params

For operator usages, see the Pagination and Filtering section.
status[<operator>]

optional, enumerated string filter

Current status of Payment Voucher. Possible values are : active, consumed, expired, failure.

Supported operators : is, is_not, in, not_in, in, not_in

Example → status[is_not] = "active, consumed, expired"

Supported operators: is, is_not, in, not_in
Example active, consumed, expired

Returns

next_offsetoptional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

payment_voucherPayment voucher object
Resource object representing payment_voucher